package com.hssx.pcbms.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-06
 */
public class NewsNoticeUser extends Model<NewsNoticeUser> {

    private static final long serialVersionUID=1L;

    /**
     * 消息通知者表主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 通知者id
     */
    @TableField("user_id")
    private Integer userId;

    /**
     * 是否已读 0-未读，1-已读
     */
    @TableField("is_read")
    private Integer isRead;

    /**
     * 消息通知表id
     */
    @TableField("news_id")
    private Integer newsId;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getIsRead() {
        return isRead;
    }

    public void setIsRead(Integer isRead) {
        this.isRead = isRead;
    }

    public Integer getNewsId() {
        return newsId;
    }

    public void setNewsId(Integer newsId) {
        this.newsId = newsId;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "NewsNoticeUser{" +
        "id=" + id +
        ", userId=" + userId +
        ", isRead=" + isRead +
        ", newsId=" + newsId +
        "}";
    }
}
